---
lang: en
title: 'API docs: rest-explorer.restexplorercomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest-explorer.restexplorercomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-explorer](./rest-explorer.md) &gt; [RestExplorerComponent](./rest-explorer.restexplorercomponent.md)

## RestExplorerComponent class

A component providing a self-hosted API Explorer.

<b>Signature:</b>

```typescript
export declare class RestExplorerComponent implements Component 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(application, restExplorerConfig)](./rest-explorer.restexplorercomponent._constructor_.md) |  | Constructs a new instance of the <code>RestExplorerComponent</code> class |


